TempArray
Date: 2019-10-22

org.jmol.util

## Class TempArray

- java.lang.Object
- - org.jmol.util.TempArray

-     public class TempArray
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private STR[][]` | `freeEnum`
    `private static int` | `freeEnumSize`
    `private javajs.util.P3[][]` | `freePoints`
    `private static int` | `freePointsSize`
    `private javajs.util.P3i[][]` | `freeScreens`
    `private static int` | `freeScreensSize`
    `private int[]` | `lengthsFreeEnum`
    `private int[]` | `lengthsFreePoints`
    `private int[]` | `lengthsFreeScreens`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TempArray()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STR[]` | `allocTempEnum(int size)`
    `javajs.util.P3[]` | `allocTempPoints(int size)`
    `javajs.util.P3i[]` | `allocTempScreens(int size)`
    `void` | `clear()`
    `private void` | `clearTempPoints()`
    `private void` | `clearTempScreens()`
    `private static int` | `findBestFit(int size, int[] lengths)`
    `private static int` | `findShorter(int size, int[] lengths)`
    `void` | `freeTempEnum(STR[] tempEnum)`
    `void` | `freeTempPoints(javajs.util.P3[] tempPoints)`
    `void` | `freeTempScreens(javajs.util.P3i[] tempScreens)`
    `static java.lang.Object[]` | `getSlabObjectType(int tok, java.lang.Object data, boolean isCap, java.lang.Object colorData)`
    `static java.lang.Object[]` | `getSlabWithinRange(float min, float max)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### freePointsSize

          private static final int freePointsSize

      See Also:
        Constant Field Values

    - #### lengthsFreePoints

          private final int[] lengthsFreePoints

    - #### freePoints

          private final javajs.util.P3[][] freePoints

    - #### freeScreensSize

          private static final int freeScreensSize

      See Also:
        Constant Field Values

    - #### lengthsFreeScreens

          private final int[] lengthsFreeScreens

    - #### freeScreens

          private final javajs.util.P3i[][] freeScreens

    - #### freeEnumSize

          private static final int freeEnumSize

      See Also:
        Constant Field Values

    - #### lengthsFreeEnum

          private final int[] lengthsFreeEnum

    - #### freeEnum

          private final STR[][] freeEnum

  - ### Constructor Detail

    - #### TempArray

          public TempArray()

  - ### Method Detail

    - #### clear

          public void clear()

    - #### findBestFit

          private static int findBestFit(int size,
                                         int[] lengths)

    - #### findShorter

          private static int findShorter(int size,
                                         int[] lengths)

    - #### clearTempPoints

          private void clearTempPoints()

    - #### allocTempPoints

          public javajs.util.P3[] allocTempPoints(int size)

    - #### freeTempPoints

          public void freeTempPoints(javajs.util.P3[] tempPoints)

    - #### clearTempScreens

          private void clearTempScreens()

    - #### allocTempScreens

          public javajs.util.P3i[] allocTempScreens(int size)

    - #### freeTempScreens

          public void freeTempScreens(javajs.util.P3i[] tempScreens)

    - #### allocTempEnum

          public STR[] allocTempEnum(int size)

    - #### freeTempEnum

          public void freeTempEnum(STR[] tempEnum)

    - #### getSlabWithinRange

          public static java.lang.Object[] getSlabWithinRange(float min,
                                                              float max)

    - #### getSlabObjectType

          public static java.lang.Object[] getSlabObjectType(int tok,
                                                             java.lang.Object data,
                                                             boolean isCap,
                                                             java.lang.Object colorData)